Create checkout offer
curl --request POST \
--url https://api.tagada.io/api/public/v1/checkout-offers/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"type": "upsell",
"titleTrans": {
"en": "Upgrade to VIP"
},
"lineItems": [
{
"priceId": "price_abc",
"quantity": 1
}
],
"promotionIds": []
}
'import requests
url = "https://api.tagada.io/api/public/v1/checkout-offers/create"
payload = {
"storeId": "store_123",
"type": "upsell",
"titleTrans": { "en": "Upgrade to VIP" },
"lineItems": [
{
"priceId": "price_abc",
"quantity": 1
}
],
"promotionIds": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: 'store_123',
type: 'upsell',
titleTrans: {en: 'Upgrade to VIP'},
lineItems: [{priceId: 'price_abc', quantity: 1}],
promotionIds: []
})
};
fetch('https://api.tagada.io/api/public/v1/checkout-offers/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}checkout-offers
Create checkout offer
Create a checkout offer (used by native offer pages). Unlike /offers/create which creates upsell/bump records, this creates a proper checkout offer with line items and promotions.
POST
/
api
/
public
/
v1
/
checkout-offers
/
create
Create checkout offer
Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
⌘I
